/*
 * Copyright (c) 2010, 2011, Oracle and/or its affiliates. All rights reserved.
 */

package com.sun.javafx.tk.quantum;

// this is a temporary class:
// there is no such thing as Glass event and JFX gets build after Java classes
// so we can not map Glass event callbacks directly
// into JFX events so we need to synthesize a temp event object
// just for the purpose of passing it to JFX
public class GlassPrismKeyEvent implements PrismEvent {
    ViewScene view;
    int type;
    int key;
    char characters[];
    int modifiers;
    
    protected GlassPrismKeyEvent(final ViewScene view, int type, int key, char[] chars, int modifiers) {
        this.view = view;
        this.type = type;
        this.key = key;
        this.characters = chars;
        this.modifiers = modifiers;
    }

    protected ViewScene view() {
        return this.view;
    }

    protected int type() {
        return this.type;
    }

    protected int key() {
        return this.key;
    }

    protected char[] characters() {
        return this.characters;
    }

    protected int modifiers() {
        return this.modifiers;
    }

}
